#!/usr/bin/ruby
lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'outreach-ruby/version'

Gem::Specification.new do |spec|
  spec.name          = 'outreach-ruby'
  spec.version       = Outreach::VERSION
  spec.authors       = ['Macgill Davis']
  spec.email         = ['macgill@humbledot.com']

  spec.summary       = 'outreach-ruby is a wrapper for the outreachruby.io REST API. This was modified off of https://github.com/thechrisoshow/outreach'
  spec.license       = 'MIT'
  spec.homepage      = 'http://github.com/humbledot/outreach-ruby'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'rake', '~> 10.0'

  spec.add_development_dependency 'byebug', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.8'
  spec.add_development_dependency 'webmock', '~> 3.5'

  spec.add_dependency 'httparty', '~> 0.16'
  spec.add_dependency 'json', '>= 1.8', '< 3'
end
